//
// Copyright 2000 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wEditPane:
//   Construct a form used to send an edit command

#ifndef p4wEditPane_H
#define p4wEditPane_H

#include "p4wRunPane.h"

class StrDict;

class p4wEditPane : public p4wRunPane {

public:
	p4wEditPane( p4wView & ParentView, p4wRequest & Request, 
		int isFileBrowser );
	virtual		~p4wEditPane();

	//
	// Render functions.
	
	virtual void	Begin();
	virtual	void	Render( StrDict * varList );
	virtual	void	End();

	//
	// Overrides for spec edit panes.
	
	virtual void	GetAction( StrBuf & actionURL );
	virtual	int	IgnoreField( const char * field ) { return 0; };
	virtual	int	CustomField( const char * field,
		StrDict * varList, int len, SpecElem *se ) { return 0; };
	virtual void	HandleError( Error *e );

private:
	enum State { gettingchanges, gettingfiles, done } fState;

	int fIsFileBrowser;
	int fSeenBegin;
	int fGotOneChange;
	int fGotOneFile;
};

#endif // p4wEditPane_H
